<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__scpsc__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_scpsc_t</compoundname>
    <includes local="no">cy_ble_scps.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__scpsc__t_1a00ea381ad7c3e400406369fc604251ae" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_scpsc_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" bodystart="78" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" line="78" />
      </memberdef>
      <memberdef id="structcy__stc__ble__scpsc__t_1af2a81748586cd09de54ac3ff2abefc6d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__srvr__char__info__t">cy_stc_ble_srvr_char_info_t</ref></type>
        <definition>cy_stc_ble_srvr_char_info_t cy_stc_ble_scpsc_t::intervalWindowChar</definition>
        <argsstring />
        <name>intervalWindowChar</name>
        <briefdescription>
<para>Handle + properties of Scan Interval Window Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" bodystart="79" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" line="79" />
      </memberdef>
      <memberdef id="structcy__stc__ble__scpsc__t_1a40582accb90f6759968021eeadb03745" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__srvr__char__info__t">cy_stc_ble_srvr_char_info_t</ref></type>
        <definition>cy_stc_ble_srvr_char_info_t cy_stc_ble_scpsc_t::refreshChar</definition>
        <argsstring />
        <name>refreshChar</name>
        <briefdescription>
<para>Handle + properties of Scan Refresh Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" bodystart="80" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" line="80" />
      </memberdef>
      <memberdef id="structcy__stc__ble__scpsc__t_1a34a06cc340ab2a143f3f3bf61fdc9c7d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_scpsc_t::refreshCccdHandle</definition>
        <argsstring />
        <name>refreshCccdHandle</name>
        <briefdescription>
<para>Handle of Client Characteristic Configuration Descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" bodystart="81" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" line="81" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure with Discovered Attributes Information of Scan Parameters Service. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1196">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="1194">
        <label>cy_stc_ble_scpsc_t</label>
        <link refid="structcy__stc__ble__scpsc__t" />
        <childnode refid="1195" relation="usage">
          <edgelabel>refreshChar</edgelabel>
          <edgelabel>intervalWindowChar</edgelabel>
        </childnode>
        <childnode refid="1196" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="1195">
        <label>cy_stc_ble_srvr_char_info_t</label>
        <link refid="structcy__stc__ble__srvr__char__info__t" />
      </node>
    </collaborationgraph>
    <location bodyend="82" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" bodystart="76" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_scps.h" line="77" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__scpsc__t_1a00ea381ad7c3e400406369fc604251ae" virt="non-virtual"><scope>cy_stc_ble_scpsc_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__scpsc__t_1af2a81748586cd09de54ac3ff2abefc6d" virt="non-virtual"><scope>cy_stc_ble_scpsc_t</scope><name>intervalWindowChar</name></member>
      <member prot="public" refid="structcy__stc__ble__scpsc__t_1a34a06cc340ab2a143f3f3bf61fdc9c7d" virt="non-virtual"><scope>cy_stc_ble_scpsc_t</scope><name>refreshCccdHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__scpsc__t_1a40582accb90f6759968021eeadb03745" virt="non-virtual"><scope>cy_stc_ble_scpsc_t</scope><name>refreshChar</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>